google/cloud-data-catalog

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

Google Cloud Data Catalog Client for PHP

v1.0.4 2021-03-02 00:45 UTC

This package is auto-updated.

Last update: 2021-06-19 20:14:21 UTC


README

Idiomatic PHP client for Google Cloud Data Catalog.

Latest Stable Version Packagist

NOTE: This repository is part of Google Cloud PHP. Any support requests, bug reports, or development contributions should be directed to that project.

Installation

To begin, install the preferred dependency manager for PHP, Composer.

Now to install just this component:

$ composer require google/cloud-data-catalog

Or to install the entire suite of components at once:

$ composer require google/cloud

This component supports both REST over HTTP/1.1 and gRPC. In order to take advantage of the benefits offered by gRPC (such as streaming methods) please see our gRPC installation guide.

Authentication

Please see our Authentication guide for more information on authenticating your client. Once authenticated, you'll be ready to start making requests.

Sample

require 'vendor/autoload.php';

use Google\Cloud\DataCatalog\V1\DataCatalogClient;

$client = new DataCatalogClient();
$location = DataCatalogClient::locationName('[MY_PROJECT_ID]', 'us-central1');

$entryGroup = $client->createEntryGroup($location, 'sample_entry_group');

printf('Created entry group: %s' . PHP_EOL, $entryGroup->getName());

Version

This component is considered GA (generally available). As such, it will not introduce backwards-incompatible changes in any minor or patch releases. We will address issues and requests with the highest priority.

Next Steps

  1. Understand the official documentation.